#include <stdlib.h> //for the use of strtoll -- string to long long
#include "my_num_types.h"

// compile with
//      gcc Plus.c my_num_types.c -o Plus.exe
// run e.g. as:
//      Plus.exe 15000 500000000000000 10
//      Plus 15000 22 5800000000000
//
// negative integeres are not handled

int main(int argc, char** argv){
	// argc -- argument count
	// argv -- argument vector

	//Interpret inputs as integers and return their sum
	/*long long sum = 0;
	for(int i = 1; i < argc; i++){
		//printf("%d: %s\n",i,argv[i]); //Print all input arguments
		sum += strtoll(argv[i], NULL, 10); // string to long long
	}
	printf("%lld\n", sum); //print long long integer
	*/
	
	//use structure Integer
	struct Integer I_sum = CreateInt("0"), I_curr, I_sum_aux;
	for(int i = 1; i < argc; i++){
		I_curr = CreateInt(argv[i]);
		//PrintInt(&I_curr);
		I_sum_aux = I_sum;
		I_sum = SumInts(&I_sum_aux, &I_curr);
		DeleteInt(&I_curr);
		DeleteInt(&I_sum_aux);
	}
	PrintInt(&I_sum);
	DeleteInt(&I_sum);

	return 0;
}
