#include <stdlib.h> //for the use of strtoll -- string to long long
#include "my_num_types.h"

// compile with
//      gcc Times.c my_num_types.c -o Times.exe
// run e.g. as:
//      Times.exe 15000 500000000000000 10
//      Times 15 2
//
// negative integeres are not handled

int main(int argc, char** argv){
	// argc -- argument count
	// argv -- argument vector

	//Interpret inputs as integers and return their sum
	/*long long sum = 1;
	for(int i = 1; i < argc; i++){
		//printf("%d: %s\n",i,argv[i]); //Print all input arguments
		sum *= strtoll(argv[i], NULL, 10); // string to long long
	}
	printf("%lld\n", sum); //print long long integer
	*/

	//use structure Integer
	struct Integer I_prod = CreateInt("1"), I_curr2, I_prod_aux;
	for(int i = 1; i < argc; i++){
		I_curr2 = CreateInt(argv[i]);
		//PrintInt(&I_curr);
		I_prod_aux = I_prod;
		I_prod = MultiplyInts(&I_prod_aux, &I_curr2);
		DeleteInt(&I_curr2);
		DeleteInt(&I_prod_aux);
	}
	PrintInt(&I_prod);
	DeleteInt(&I_prod);

	return 0;
}
