#ifndef MY_NUM_TYPES
#define MY_NUM_TYPES

#include <stdio.h>
#include <string.h> //for using string functions, e.g. strlen, ...

struct Integer {
	long long nDigs; //number of digits
	unsigned char* digs; //digits array [last, ..., first]
};

struct Integer CreateInt(const char* charDigs);
struct Integer CreateInt2(long long nDigs, unsigned char* const p_digs);
void DeleteInt(struct Integer* p_myInt);
void PrintInt(const struct Integer* p_myInt);
struct Integer SumInts(const struct Integer* p_myInt1, const struct Integer* p_myInt2);
struct Integer MultiplyInts(const struct Integer* p_myInt1, const struct Integer* p_myInt2);

#endif